--
-- Structure de la table `#__umrmanagement`
--

DROP TABLE IF EXISTS `#__umrmanagement`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `nick` varchar(255) NOT NULL DEFAULT '',
  `tel` varchar(255) NOT NULL DEFAULT '',
  `fax` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `website` varchar(255) NOT NULL DEFAULT '',
  `place` varchar(255) NOT NULL DEFAULT '',
  `biography` mediumtext NOT NULL,
  `picture` varchar(255) NOT NULL DEFAULT '',
  `sexe` enum('F','M','?') NOT NULL DEFAULT '?',
  `birth_year` int(4) NOT NULL DEFAULT '0',
  `axe` int(11) NOT NULL DEFAULT '0',
  `site` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;


--
-- Structure de la table `#__umrmanagement_libelle`
--

DROP TABLE IF EXISTS `#__umrmanagement_libelle`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement_libelle` (
  `id` int(11) NOT NULL DEFAULT '0',
  `variable` varchar(255) NOT NULL DEFAULT '',
  `libelle_court` varchar(255) NOT NULL DEFAULT '',
  `libelle_long` varchar(255) NOT NULL DEFAULT '',
  `categorie` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`variable`(10),`id`,`categorie`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure de la table `#__umrmanagement_mouvement`
--

DROP TABLE IF EXISTS `#__umrmanagement_mouvement`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement_mouvement` (
  `idmvt` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NOT NULL DEFAULT '0',
  `etablissement` int(11) NOT NULL DEFAULT '0',
  `categorie` int(11) NOT NULL DEFAULT '0',
  `grade` int(11) NOT NULL DEFAULT '0',
  `staff_in` date NOT NULL DEFAULT '0000-00-00',
  `staff_out` date NOT NULL DEFAULT '0000-00-00',
  `DepartInconnu` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`idmvt`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


--
-- Structure de la table `#__umrmanagement_selectlib`
--

DROP TABLE IF EXISTS `#__umrmanagement_selectlib`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement_selectlib` (
  `idcat` int(11) NOT NULL COMMENT 'id  de la catégorie dans umr_management_libelle',
  `nom_champ` varchar(255) NOT NULL COMMENT 'nom du champ tel qu''il est dans la colonne variable de la table umr_management_libelle',
  `ordre_champ` int(11) NOT NULL COMMENT 'Ordre dans lequel doit apparaitre les champs sur l''ecran',
  PRIMARY KEY (`idcat`,`nom_champ`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Structure de la table `#__umrmanagement_structurelib`
--

DROP TABLE IF EXISTS `#__umrmanagement_structurelib`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement_structurelib` (
  `type` varchar(255) NOT NULL COMMENT 'type du champ (text/select)',
  `nom` varchar(255) NOT NULL COMMENT 'nom du champ tel qu''il est dans la colonne variable de la table umr_management_libelle',
  `libelle` varchar(255) NOT NULL COMMENT 'libelle du champ',
  PRIMARY KEY (`nom`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Table structure for table `#__umrmanagement_enregistrements`
--

DROP TABLE IF EXISTS `#__umrmanagement_enregistrements`;
CREATE TABLE IF NOT EXISTS `#__umrmanagement_enregistrements` (
  `idu` int(11) NOT NULL COMMENT 'Id user',
  `nom` varchar(255) NOT NULL COMMENT 'nom champs',
  `valeur` varchar(255) NOT NULL COMMENT 'valeur du champ (value)',
  PRIMARY KEY (`idu`,`nom`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

